eol-server dates are empty for current LTS releases

Bug #1814976 reported by Brian Murray on 2019-02-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
distro-info-data (Ubuntu)
Low
Brian Murray
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

The ubuntu.csv file from distro-info-data contains a column for eol-server which one can then use ubuntu-distro-info to display the days until that milestone is reached. However, that column is empty for many Ubuntu releases (because there isn't a distinction between EoL for desktop and servers anymore) which leads to the following confusing situation. Additionally, one can't have an empty column in distro-info-data so adding an eol-esm column (bug 1808038) for LTS releases depends on eol-server being populated.

[Test Case]
 $ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS (unknown)
16.04 LTS (unknown)
18.04 LTS (unknown)
18.10 (unknown)
19.04 (unknown)

With the version of distro-info and distro-info-data from -proposed there will be a number of days displayed for the LTS releases e.g.:

16.04 LTS 777

[Regression Potential]
There isn't any we are just populating an existing column in the csv file.

[Original Description]
I'd suggest modifying ubuntu.csv so that the eol-server column contains the same date as the eol column for all LTS releases which is consistent with the existing releases that eol-server.

tags: added: bionic cosmic disco trusty xenial
description: updated
summary: - eol-server dates are empty for current releases
+ eol-server dates are empty for current LTS releases
description: updated
Changed in distro-info-data (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in distro-info-data (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.39ubuntu1

---------------
distro-info-data (0.39ubuntu1) disco; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Mon, 11 Feb 2019 14:01:01 -0800

Changed in distro-info-data (Ubuntu):
status: In Progress → Fix Released
tags: added: id-5c10233f7a6541146c871378
description: updated

Hello Brian, or anyone else affected,

Accepted distro-info-data into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.38ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in distro-info-data (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello Brian, or anyone else affected,

Accepted distro-info-data into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.37ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Brian, or anyone else affected,

Accepted distro-info-data into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.28ubuntu0.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Changed in distro-info-data (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Timo Aaltonen (tjaalton) wrote :

Hello Brian, or anyone else affected,

Accepted distro-info-data into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.18ubuntu0.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Ubuntu 16.04 verification is done.

 $ apt-cache policy distro-info
distro-info:
  Installed: 0.18ubuntu0.18.04.1
  Candidate: 0.18ubuntu0.18.04.1
  Version table:
 *** 0.18ubuntu0.18.04.1 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.18 500
        500 http://192.168.10.7/ubuntu bionic/main amd64 Packages
[ 4:17PM 4909 ] [ bdmurray@bizarro:~/config-files ]
 $ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS 35
16.04 LTS 770
18.04 LTS 1505
18.10 (unknown)
19.04 (unknown)

tags: added: verification-done-bionic
removed: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Verification for Ubuntu 18.10 is done and good.

bdmurray@clean-cosmic-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.18ubuntu0.18.10.2
  Candidate: 0.18ubuntu0.18.10.2
  Version table:
 *** 0.18ubuntu0.18.10.2 500
        500 http://192.168.10.7/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.18 500
        500 http://192.168.10.7/ubuntu cosmic/main amd64 Packages
bdmurray@clean-cosmic-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS 34
16.04 LTS 769
18.04 LTS 1504
18.10 (unknown)
19.04 (unknown)

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Brian Murray (brian-murray) wrote :

Verification for Ubuntu 16.04 is done and passed.

Setting up distro-info-data (0.28ubuntu0.10) ...
Setting up distro-info (0.14ubuntu0.1) ...
bdmurray@clean-xenial-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.14ubuntu0.1
  Candidate: 0.14ubuntu0.1
  Version table:
 *** 0.14ubuntu0.1 500
        500 http://ubuntu.osuosl.org/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.14build1 500
        500 http://ubuntu.osuosl.org/ubuntu xenial/main amd64 Packages
bdmurray@clean-xenial-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS 34
16.04 LTS 769
18.04 LTS 1504
18.10 (unknown)
19.04 (unknown)

tags: added: verification-done-xenial
removed: verification-needed-xenial
Brian Murray (brian-murray) wrote :

Verification for Ubuntu 14.04 is done and passed.

Setting up distro-info-data (0.18ubuntu0.11) ...
Setting up distro-info (0.12ubuntu0.2) ...
bdmurray@clean-trusty-amd64:~$ apt-cache policy distro-info
distro-info:
  Installed: 0.12ubuntu0.2
  Candidate: 0.12ubuntu0.2
  Version table:
 *** 0.12ubuntu0.2 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.12 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty/main amd64 Packages
bdmurray@clean-trusty-amd64:~$ ubuntu-distro-info --supported -r --days=eol-server
14.04 LTS 34
16.04 LTS 769
18.04 LTS 1504
18.10 (unknown)
19.04 (unknown)

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.38ubuntu0.2

---------------
distro-info-data (0.38ubuntu0.2) cosmic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Wed, 06 Mar 2019 15:42:06 -0800

Changed in distro-info-data (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for distro-info-data has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.37ubuntu0.3

---------------
distro-info-data (0.37ubuntu0.3) bionic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:29:06 -0800

Changed in distro-info-data (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.28ubuntu0.10

---------------
distro-info-data (0.28ubuntu0.10) xenial; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 11:48:23 -0800

Changed in distro-info-data (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.18ubuntu0.11

---------------
distro-info-data (0.18ubuntu0.11) trusty; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <email address hidden> Thu, 07 Mar 2019 12:50:20 -0800

Changed in distro-info-data (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers